# XQilla Simple API Documentation

# BaseInteractiveDebugger::BreakPoint Struct Reference

`#include <InteractiveDebugger.hpp>`

List of all members.

## Public Member Functions

| BreakPoint (const std::string &f, unsigned int l, unsigned int c, bool t)

## Public Attributes

std::string | file
unsigned int | line
unsigned int | column
bool | temporary
bool | disabled

## Constructor & Destructor Documentation

BaseInteractiveDebugger::BreakPoint::BreakPoint | ( | const std::string & | f,
|  | unsigned int | l,
|  | unsigned int | c,
|  | bool | t |
| ) |  |  | `[inline]`

## Member Data Documentation

unsigned int BaseInteractiveDebugger::BreakPoint::column

bool BaseInteractiveDebugger::BreakPoint::disabled

std::string BaseInteractiveDebugger::BreakPoint::file

unsigned int BaseInteractiveDebugger::BreakPoint::line

bool BaseInteractiveDebugger::BreakPoint::temporary

The documentation for this struct was generated from the following file:

- InteractiveDebugger.hpp